Несколько уязвимостей в PHPcounter

Дата публикации:
30.09.2008
Всего просмотров:
1589
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-4675
CVE-2008-5989
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Раскрытие системных данных
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PHPcounter 1.x
Уязвимые версии: PHPcounter 1.3.2, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю получить доступ к важным данным и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "l" в сценарии defs.php. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, просмотреть содержимое произвольных файлов на системе. Пример:

http://[host]defs.php?l=../../../../../../../etc/passwd%00

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "name" в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.

URL производителя: sourceforge.net/projects/phpcounter/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: PHPcounter <= 1.3.2 (index.php name) Remote SQL Injection Exploit

или введите имя

CAPTCHA